using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmPatrolCourse
    {
        public CmPatrolCourse()
        {
            CmPatrolCoursePos = new HashSet<CmPatrolCoursePos>();
            CmPatrolPlan = new HashSet<CmPatrolPlan>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int PatrolCourseId { get; set; }
        [Required]
        [StringLength(48)]
        public string Name { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmPatrolCourse))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("CmPatrolCourse")]
        public virtual ICollection<CmPatrolCoursePos> CmPatrolCoursePos { get; set; }
        [InverseProperty("CmPatrolCourse")]
        public virtual ICollection<CmPatrolPlan> CmPatrolPlan { get; set; }
    }
}
